@echo off
if "%1"=="o" goto old
if "%1"=="s" goto sonic
if "%1"=="r" goto roland
echo . 
echo .  o - old files sb compat
echo .  s - run with miles upgrade
echo .  r - do roland 
echo . 
goto done
:old
pkunzip adv -o
pkunzip xmi -o
term -sb
goto done
:sonic
pkunzip adv -o
pkunzip xmi -o
copy ariadig.adv sbdig.adv
copy ariaxmid.adv sbfm.adv
copy mt32mus.xmi sbmusic.xmi
term -sb
goto done
:roland
pkunzip adv -o
pkunzip xmi -o
copy ariaxmid.adv mt32mpu.adv
term -rm
:done
